Subject: [OPSAWG] Review of draft-presuhn-floats-00.txt

From: Juergen Quittek <[email-masked]>
Date: Thu, 2 Dec 2010 21:53:40 +0000

> Network Working Group                                         R. Presuhn
> Internet-Draft                                                      None
> Intended status: Standards Track                       November 29, 2010
> Expires: June 2, 2011
> 
> 
>   Textual Conventions for the Representation of Floating-Point Numbers
>                       draft-presuhn-floats-00.txt

[...]
 
> 1.  Introduction
> 
>    This memo defines textual conventions for the representation of
>    floating-point numbers.  All of these definitions are in terms of the
>    IEEE Standard for Floating-Point Arithmetic, IEEE 754-2008
>    [IEEE.754.1985].
> 
>    The IEEE Standard for Floating-Point Arithmetic, IEEE 754-2008
>    [IEEE.754.1985], provides for a variety of interchange formats for
>    floating point numbers.  The need for three of these has been
>    recognized in network management:
> 
>    o  32-bit;
>    o  64-bit;
>    o  128-bit.

I would suggest supporting this statement with a reference:

  "The need for three of these, namely
      o  32-bit,
      o  64-bit,
      o  128-bit,
   has been recognized in network management, for example, during the
   discussion of data types for SMIng. Section 4.2.3 of the SMIng
   Objectives [RFC3216] elaborates the need for these three floating-point
   data types in network management protocols."

[...]

> 4.  Definitions
> 
>   FLOAT-MIB DEFINITIONS ::= BEGIN

I would suggest calling it "FLOAT-TC-MIB".
This would be more descriptive.

[...]
> 
>   Float32 ::= TEXTUAL-CONVENTION

Also here I would like to add a TC to the name:
Calling it "Float32TC" would have two advantages:
  - It would make clear that it's a TC and not an SMI data type
  - If at any point in time there will be an SMIv3, then I am sure
    it will have floating-point data types. We avoid future name
    collisions if we have "TC" in the name of this one here.

Obviously, the same applies to Float64 and Float128.

[...]
 
> 8.1.  Normative References
> 
>    [IEEE.754.1985]
>               Institute of Electrical and Electronics Engineers,
>               "Standard for Binary Floating-Point Arithmetic",
>               IEEE Standard 754, August 1985.

We had the same problem in the PSAMP MIB. In the bibxml2 collection of
references for xml2rfc there is only the outdated reference included.
You can fix this by explicitly adding the following <reference> to the
<references> block for normative references in the <back> part of the xml
file:

      <reference anchor="IEEE.754.2008">
         <front>
            <title>Standard for Binary Floating-Point Arithmetic</title>
            <author>
               <organization>
                  Institute of Electrical and Electronics Engineers
               </organization>
            </author>
            <date month="August" year="2008" />
         </front>
         <seriesInfo name="IEEE" value="Standard 754" />
      </reference>

Then you can use "IEEE.754.2008" as target in <xref>.

    Juergen

---

From: Wes Hardaker <[email-masked]>
Date: Thu, 02 Dec 2010 15:35:03 -0800

>>>>> On Thu, 2 Dec 2010 21:53:40 +0000, Juergen Quittek <[email-masked]> said:

>> draft-presuhn-floats-00.txt

Of course, it might be worth noting that Net-SNMP has supported floats
for years and years using floats wrapped in an Opaque as defined by a
draft written by David Perkins "way back when" (well over 10 years ago).

-- 
Wes Hardaker
Cobham Analytic Solutions

---

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 2 Dec 2010 21:00:49 -0800

Hi -

> From: "Juergen Quittek" <[email-masked]>
> To: <[email-masked]>
> Sent: Thursday, December 02, 2010 1:53 PM
...
>    data types in network management protocols."

Ok, I've added words to this effect.

> This would be more descriptive.

Agreed, fixed.

> Obviously, the same applies to Float64 and Float128.

Agreed, fixed.

...
> Then you can use "IEEE.754.2008" as target in <xref>.

Thanks, that was exactly what I needed!  Done.

I'll spin a new draft shortly.

Randy